<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_45) on Mon Mar 14 09:25:41 GMT 2016 -->
<title>EuclidianDistance</title>
<meta name="date" content="2016-03-14">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EuclidianDistance";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":41,"i3":9,"i4":41,"i5":9,"i6":9,"i7":9,"i8":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/EuclidianDistance.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/stefanomantini/solvers/util/EdgeComparator.html" title="class in com.stefanomantini.solvers.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/stefanomantini/solvers/util/Maths.html" title="class in com.stefanomantini.solvers.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/stefanomantini/solvers/util/EuclidianDistance.html" target="_top">Frames</a></li>
<li><a href="EuclidianDistance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.stefanomantini.solvers.util</div>
<h2 title="Class EuclidianDistance" class="title">Class EuclidianDistance</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.stefanomantini.solvers.util.EuclidianDistance</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">EuclidianDistance</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#EuclidianDistance--">EuclidianDistance</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.Double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#calcCollectionFromRequest-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">calcCollectionFromRequest</a></span>(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour,
                         <a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Helper function dispatches to other ED calc collection methods based on request</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#calcPairFromRequest-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.web.util.SolverRequestObject-">calcPairFromRequest</a></span>(<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                   <a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b,
                   <a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</code>
<div class="block">Helper function dispatches to other ED pair methods based on request</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#eDistanceCalcDouble-double-double-double-double-">eDistanceCalcDouble</a></span>(double&nbsp;a,
                   double&nbsp;b,
                   double&nbsp;x,
                   double&nbsp;y)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">not currently used</span></div>
</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#eDistanceCalcPair-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-">eDistanceCalcPair</a></span>(<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                 <a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b)</code>
<div class="block">Gets full ED for a single edge between two vehicles 
 taking into account pickup and dropoff and treating 
 it as a single edge</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#eDistanceCalcPairStartOnly-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-">eDistanceCalcPairStartOnly</a></span>(<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                          <a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;&nbsp;</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.lang.Double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#fullEDCalcforCollection-java.util.ArrayList-">fullEDCalcforCollection</a></span>(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour)</code>
<div class="block">Full ED calculation collection</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static java.lang.Double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#partEDCalcforCollection-java.util.ArrayList-">partEDCalcforCollection</a></span>(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour)</code>
<div class="block">Part ED calc for collection</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#weightedEDCalc-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-int-">weightedEDCalc</a></span>(<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
              <a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b,
              int&nbsp;walkWeight)</code>
<div class="block">Weighted ED calc for a pair of vehicles</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static java.lang.Double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/stefanomantini/solvers/util/EuclidianDistance.html#weightedEDCalcforCollection-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">weightedEDCalcforCollection</a></span>(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour,
                           <a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;response)</code>
<div class="block">Weighted ED calc for collection</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="EuclidianDistance--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EuclidianDistance</h4>
<pre>public&nbsp;EuclidianDistance()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="calcCollectionFromRequest-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calcCollectionFromRequest</h4>
<pre>public static&nbsp;java.lang.Double&nbsp;calcCollectionFromRequest(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour,
                                                         <a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</pre>
<div class="block">Helper function dispatches to other ED calc collection methods based on request</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tour</code> - </dd>
<dd><code>request</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="calcPairFromRequest-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.web.util.SolverRequestObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calcPairFromRequest</h4>
<pre>public static&nbsp;double&nbsp;calcPairFromRequest(<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                                         <a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b,
                                         <a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;request)</pre>
<div class="block">Helper function dispatches to other ED pair methods based on request</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - </dd>
<dd><code>b</code> - </dd>
<dd><code>request</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="fullEDCalcforCollection-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fullEDCalcforCollection</h4>
<pre>public static&nbsp;java.lang.Double&nbsp;fullEDCalcforCollection(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour)</pre>
<div class="block">Full ED calculation collection</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tour</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="partEDCalcforCollection-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>partEDCalcforCollection</h4>
<pre>public static&nbsp;java.lang.Double&nbsp;partEDCalcforCollection(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour)</pre>
<div class="block">Part ED calc for collection</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tour</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="weightedEDCalcforCollection-java.util.ArrayList-com.stefanomantini.web.util.SolverRequestObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>weightedEDCalcforCollection</h4>
<pre>public static&nbsp;java.lang.Double&nbsp;weightedEDCalcforCollection(java.util.ArrayList&lt;<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&gt;&nbsp;tour,
                                                           <a href="../../../../com/stefanomantini/web/util/SolverRequestObject.html" title="class in com.stefanomantini.web.util">SolverRequestObject</a>&nbsp;response)</pre>
<div class="block">Weighted ED calc for collection</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tour</code> - </dd>
<dd><code>response</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="eDistanceCalcPair-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eDistanceCalcPair</h4>
<pre>public static&nbsp;double&nbsp;eDistanceCalcPair(<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                                       <a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b)</pre>
<div class="block">Gets full ED for a single edge between two vehicles 
 taking into account pickup and dropoff and treating 
 it as a single edge</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - </dd>
<dd><code>b</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="eDistanceCalcPairStartOnly-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eDistanceCalcPairStartOnly</h4>
<pre>public static&nbsp;double&nbsp;eDistanceCalcPairStartOnly(<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                                                <a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
<div class="block">Naive pickup only ED calculation</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - </dd>
<dd><code>b</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="weightedEDCalc-com.stefanomantini.solvers.objects.Vehicle-com.stefanomantini.solvers.objects.Vehicle-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>weightedEDCalc</h4>
<pre>public static&nbsp;double&nbsp;weightedEDCalc(<a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;a,
                                    <a href="../../../../com/stefanomantini/solvers/objects/Vehicle.html" title="class in com.stefanomantini.solvers.objects">Vehicle</a>&nbsp;b,
                                    int&nbsp;walkWeight)</pre>
<div class="block">Weighted ED calc for a pair of vehicles</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - </dd>
<dd><code>b</code> - </dd>
<dd><code>walkWeight</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="eDistanceCalcDouble-double-double-double-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eDistanceCalcDouble</h4>
<pre>public static&nbsp;double&nbsp;eDistanceCalcDouble(double&nbsp;a,
                                         double&nbsp;b,
                                         double&nbsp;x,
                                         double&nbsp;y)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span class="deprecationComment">not currently used</span></div>
<div class="block">RAW calculation using just doubles for coordinates</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - </dd>
<dd><code>b</code> - </dd>
<dd><code>x</code> - </dd>
<dd><code>y</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/EuclidianDistance.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/stefanomantini/solvers/util/EdgeComparator.html" title="class in com.stefanomantini.solvers.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/stefanomantini/solvers/util/Maths.html" title="class in com.stefanomantini.solvers.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/stefanomantini/solvers/util/EuclidianDistance.html" target="_top">Frames</a></li>
<li><a href="EuclidianDistance.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
